### Method

# Gegl Processorset_rectangle

#### Declaration [src]

    void
    gegl_processor_set_rectangle (
      GeglProcessor* processor,
      const GeglRectangle* rectangle
    )

#### Description [src]

Change the rectangle a `GeglProcessor` is working on.

Sets property | `Gegl.Processor:rectangle`

#### Parameters

`rectangle`

  Type: `GeglRectangle`

  The new `GeglRectangle` the processor shold work on or NULL to make it work on all data in the buffer.

  The data is owned by the caller of the method.